<?php

require_once __DIR__ . '/../models/CandidatoModel.php';

class ControlCandidatos {

    private $candidatoModel;

    public function __construct() {
        $this->candidatoModel = new CandidatoModel();
    }

    public function obtenerCandidatosSinFechaSalida(){
        $resultado = $this->candidatoModel->obtenerCandidatosSinFechaSalida();
        if( isset($resultado['estado'])){
            return $resultado;
        } else {
            // iterar sobre $resultado y concatenar nombre completo, la fecha dejarla como esta
            $candidatos = [];
            foreach ($resultado as $candidato) {
                $nombreCompleto = "{$candidato['nombres']} {$candidato['primer_apellido']} {$candidato['segundo_apellido']}";
                $candidatos[] = [
                    'id_candidato' => $candidato['id_candidato'],
                    'nombre_completo' => $nombreCompleto,
                    'fecha_entrada' => $candidato['fecha_entrada']
                ];
            }
            return $candidatos;
        }
    }

    public function eliminarCandidato($id_candidato){
        return $this->candidatoModel->eliminarCandidato($id_candidato);
    }

}

?>
